@prefix lv2:  <http://lv2plug.in/ns/lv2core#> .
@prefix foaf: <http://xmlns.com/foaf/0.1/> .
@prefix doap: <http://usefulinc.com/ns/doap#> .
@prefix uiext: <http://lv2plug.in/ns/extensions/ui#>.

<http://ayyi.org/plugins/gui/gtk2-gui>
    a uiext:GtkUI ;
    lv2:extensionData uiext:idleInterface ,
        uiext:showInterface ;
    uiext:binary <meter_gui.so> ;
    uiext:requiredFeature uiext:makeResident .

<http://ayyi.org/plugins/meter> a lv2:Plugin ;
    doap:name "Ayyi Meter" ;
    doap:licence <http://usefulinc.com/doap/licenses/gpl> ;
    uiext:ui <http://ayyi.org/plugins/gui/gtk2-gui> ;
    lv2:optionalFeature lv2:hardRtCapable ;

    lv2:port [
	  a lv2:InputPort ;
	  a lv2:ControlPort ;
	  lv2:index 0 ;
	  lv2:symbol "gain" ;
	  lv2:name "gain" ;
	  lv2:default 0.0 ;
	  lv2:minimum -90.0 ;
	  lv2:maximum 24.0 ;
    ] , [
	  a lv2:AudioPort ;
	  a lv2:InputPort ;
	  lv2:index 1 ;
	  lv2:symbol "in" ;
	  lv2:name "in" ;
    ] , [
	  a lv2:AudioPort ;
	  a lv2:OutputPort ;
	  lv2:index 2 ;
	  lv2:symbol "out" ;
	  lv2:name "out" ;
    ]
.
